This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 459154 - eth_pci wireless driver omitted
eth_pci wireless driver omitted
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 15:01 EDT by David A. De Graaf
Modified: 2008-08-16 15:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-16 03:09:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David A. De Graaf 2008-08-14 15:01:26 EDT
Description of problem:
AARGHH!!!   I'm screwed.

The newest kernel-2.6.25-14-108.fc9.i686 omits the ath_pci.ko module,
and the ath5k.ko module doesn't work.  Hence, my laptop can no longer
communicate!  The ath5k module loads, but ifup wlan0 fails to communicate
with the dhcp server.

This IBM T30 laptop has this (updated) miniPCI wireless card:

  02:02.0 Ethernet controller: Atheros Communications Inc.
  AR5212/AR5213 Multiprotocol MAC/baseband processor (rev 01)
  
The ath_pci driver, has always worked perfectly, as an ath0 interface,
even with kismet.
Please restore eth_pci, ASAP.



Version-Release number of selected component (if applicable):
kernel-2.6.25-14-108.fc9.i686



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

# cd /lib/modules
[root@datxxx /lib/modules]
# l
2.6.25.10-86.fc9.i686/  2.6.25.14-108.fc9.i686/  2.6.25.9-76.fc9.i686/
2.6.25.11-97.fc9.i686/  2.6.25.6-55.fc9.i686/
[root@datxxx /lib/modules]
# find . -name "ath_pci*"
./2.6.25.9-76.fc9.i686/extra/madwifi/ath_pci.ko
./2.6.25.11-97.fc9.i686/extra/madwifi/ath_pci.ko
./2.6.25.10-86.fc9.i686/extra/madwifi/ath_pci.ko



Expected results:
Where's ath_pci.ko for 2.6.25.14-108.fc9.i686 ???


Additional info:
Comment 1 Kevin 2008-08-16 03:09:40 EDT
Closing bug.

ath_pci is not a part of the kernel but belongs to madwifi.org

Installing the latest madwifi code and compiling against your current kernel should solve your problem.

Please see http://madwifi.org/wiki/UserDocs/GettingMadwifi for further information. The Livna repository have packaged drivers for Fedora. 

If you compile the software yourself, you need to recompile every time you do a kernel upgrade. If you use the repository, it should install the correct version every time you upgrade the kernel.
Comment 2 David A. De Graaf 2008-08-16 15:24:30 EDT
You are so right.  I'd completely forgotten that I'd installed the kmod-madwifi package from livna.  And I was so quick to get the new kernel that the new madwifi package wasn't yet available.  Now it is and my laptop is communicating normally again via ath0 and madwifi.

Sorry for the noise...

Note You need to log in before you can comment on or make changes to this bug.